Package org.gradle.tooling.events.problems

# Interface LineInFileLocation

All Superinterfaces:
  `FileLocation`, `Location`

@Incubating public interface LineInFileLocation extends FileLocation
A basic location pointing to a specific part of a file using line number, column, and length for coordinates.

The line and column coordinates are one-indexed so that they can be easily matched to the content of a UI editor interface.

Since:
  8.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumn()`
  The starting column on the selected line.
  `int`
  `getLength()`
  The length of the selected content starting from specified column.
  `int`
  `getLine()`
  The line number within the file.

  ### Methods inherited from interface org.gradle.tooling.events.problems.FileLocation

  `getPath`

- ## Method Details

  - ### getLine

    int getLine()
    The line number within the file.

    The line is one-indexed, i.e. the first line in the file is line number 1.

    Returns:
      the line number
    Since:
      8.6

  - ### getColumn

    int getColumn()
    The starting column on the selected line.

    The column is one-indexed, i.e. the first column in the file is column number 1. A non-positive value indicates that the column information is not available.

    Returns:
      the column
    Since:
      8.6

  - ### getLength

    int getLength()
    The length of the selected content starting from specified column. A negative value indicates that the column information is not available.
    Returns:
      the length
    Since:
      8.6